curl --request POST \
--url https://api.openai.com/v1/organization/projects/{project_id}/service_accounts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>"
}
'{
"object": "organization.project.service_account",
"id": "<string>",
"name": "<string>",
"role": "member",
"created_at": 123,
"api_key": {
"object": "organization.project.service_account.api_key",
"value": "<string>",
"name": "<string>",
"created_at": 123,
"id": "<string>"
}
}Creates a new service account in the project. This also returns an unredacted API key for the service account.
curl --request POST \
--url https://api.openai.com/v1/organization/projects/{project_id}/service_accounts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>"
}
'{
"object": "organization.project.service_account",
"id": "<string>",
"name": "<string>",
"role": "member",
"created_at": 123,
"api_key": {
"object": "organization.project.service_account.api_key",
"value": "<string>",
"name": "<string>",
"created_at": 123,
"id": "<string>"
}
}Documentation Index
Fetch the complete documentation index at: https://openai-hd4n6.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
The ID of the project.
The project service account create request payload.
The name of the service account being created.
Project service account created successfully.
Was this page helpful?